<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Create1557412453810KegiatanpkapksTable extends Migration
{
    public function up()
    {
        Schema::create('kegiatanpkapks', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('nama_id')->nullable();
            $table->foreign('nama_id', 'nama_fk_46187')->references('id')->on('identitas_kliens');
            $table->date('tanggal_bimbingan')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down()
    {
        Schema::dropIfExists('kegiatanpkapks');
    }
}
